post
https://api.connex.trade/api/v1/trading/rapidxLoan/loan/repay
Repay the loan in the portfolio's account on the exchange.
Permission
- Applies to both primary user and trading portfolio's API Key.
- Permission: TRADE.
Rate Limit
- 50 requests per 10 seconds.
Request
| Field name | Type | Necessary | Remarks |
|---|---|---|---|
| coin | String | Y | Repayment currency. |
| exchange | String | Y | Exchange account of the portfolio holding the loan. |
| amount | String | Y | Repayment amount. Must be > 0, with 2 decimal places. |
| clientOrderId | String | N | Client idempotency ID. Maximum 64 characters. |
Response
| Field name | Type | Remarks |
|---|---|---|
| orderId | String | Repayment order ID. |
| repaid | BigDecimal | Actual repayment amount for this transaction. |
| interestPaid | BigDecimal | Interest deducted for this repayment. Always 0 as interest is settled separately. |
| loanBalance | BigDecimal | Remaining loan balance after repayment. |
| availableBalance | BigDecimal | Available balance of this currency after repayment. |
| timestamp | int64 | Transaction timestamp in milliseconds. |
